import ValidatableModelInterface from "./models/ValidatableModelInterface";
import Violations from "./violations/Violations";
import GloballyValidatableModelInterface from "./models/GloballyValidatableModelInterface";
import ConstraintInterface from "./constraints/ConstraintInterface";
declare class Validator {
    validate(data: ValidatableModelInterface | GloballyValidatableModelInterface): Violations;
    validatePlain(data: object, constraints: {
        [key: string]: ConstraintInterface[];
    }): Violations;
    validateProperty(propertyName: string, data: string | number, constraints: ConstraintInterface[]): Violations;
    private isValidatableModel;
    private isGloballyValidatableModel;
}
export default Validator;
